﻿var Diagram = MindFusion.Diagramming.Diagram;
var DiagramLink = MindFusion.Diagramming.DiagramLink;
var ShapeNode = MindFusion.Diagramming.ShapeNode;

var Rect = MindFusion.Drawing.Rect;

var diagram = null;

$(document).ready(function ()
{
	// create a Diagram component that wraps the "diagram" canvas
	diagram = MindFusion.AbstractionLayer.createControl(Diagram, null, null, null, $("#diagram")[0]);
	diagram.setLinkHeadShapeSize(2);
    diagram.setAllowInplaceEdit(true);

    var node = diagram.getFactory().createShapeNode(20, 20, 40, 40);
    node.setText("that's me");
});

function onGet()
{
    $.ajax(
    {
        type: "get",
        url: "http://localhost:1234/diagram", 
        success: function(data)
        {
            diagram.fromJson(data);
        },
        error: function(jqXHR, textStatus, err)
        {
            console.log(err);
        }
    });
}

function onPost()
{
    $.ajax(
    {
        type: "post",
        url: "http://localhost:1234/diagram", 
        contentType: "application/json",
        data: diagram.toJson(),
        success: function(data)
        {
            console.log('success');
        },
        error: function(jqXHR, textStatus, err)
        {
            console.log(err);
        }
    });
}